<style>
  #drawControlContainer {
    background-color: lightgray;
    border-radius: 3px;
    border: 1px solid gray;
  }
  .controlButton {
    width: 100%;
    height: 100%;
  }
  td > button {
    width: 60px;
  }
  tr > td {
    padding: 2px;
  }
  .black {
    background-color: #000000;
    border: 0;
  }
  .green {
    background-color: #00FF00;
    border: 0;
  }
  .red {
    background-color: #FF0000;
    border: 0;
  }
  .blue {
    background-color: #0000FF;
    border: 0;
  }
  .color {
    width: 24px!important;
    height: 30px;
    margin-left: 3px;
    margin-right: 3px;
  }
  .btn{
    outline: none!important;
  box-shadow: none!important;
  }
</style>
<table id="drawControlContainer">
  <!--<div class="drawControlItem" *ngFor="let drawControlItem of drawControlItems" (click)="drawControlItem.func()">
    <i class="fa {{drawControlItem.icon}}"></i>
  </div>-->
  <tbody>
    <tr>
      <td>
        <button
          class="btn btn-primary"
          placement="right"
          ngbTooltip="Freihand"
          (click)="setTool('free')"
        >
          <i class="fa fa-pencil"></i>
        </button>
      </td>
      <td>
        <button
          class="btn btn-primary"
          placement="right"
          ngbTooltip="Radiergummi"
          (click)="setTool('eraser')"
        >
          <i class="fa fa-eraser"></i>
        </button>
      </td>
    </tr>
    <tr>
      <td>
        <button
          class="btn btn-primary"
          placement="right"
          ngbTooltip="Kleiner"
          (click)="changeSize(-1)"
        >
          <i class="fa fa-minus"></i>
        </button>
      </td>
      <td>
        <button
          class="btn btn-primary"
          placement="right"
          ngbTooltip="Größer"
          (click)="changeSize(1)"
        >
          <i class="fa fa-plus"></i>
        </button>
      </td>
    </tr>
    <tr>
      <td>
        <button
          class="btn btn-primary"
          placement="right"
          ngbTooltip="Pan"
          [ngClass]="{'active' : panning}"
          (click)="togglePanning()"
        >
        <i class="fa fa-arrows"></i>
        </button>
      </td>
      <td>
        <button
          class="btn btn-primary"
          placement="right"
          ngbTooltip="Nix"
          (click)="changeSize(1)"
        >
          <i class="fa fa-asd"></i>
        </button>
      </td>
    </tr>
    <tr>
      <td>
        <button
          class="btn btn-primary black color"
          placement="right"
          ngbTooltip="Schwarz"
          (click)="changeColor('#000000')"
        ></button>
        <button
        class="btn btn-primary green color"
        placement="right"
        ngbTooltip="Grün"
        (click)="changeColor('#00FF00')"
      ></button>
      </td>
      <td>
        <button
          class="btn btn-primary red color"
          placement="right"
          ngbTooltip="Rot"
          (click)="changeColor('#FF0000')"
        ></button>
        <button
        class="btn btn-primary blue color"
        placement="right"
        ngbTooltip="Blau"
        (click)="changeColor('#0000FF')"
      ></button>
      </td>
    </tr>
  </tbody>
</table>
